lp:debian/wheezy/fonts-arphic-uming

Created by Ubuntu Package Importer on 2011-12-23 and last modified on 2012-02-16
Get this branch:
bzr branch lp:debian/wheezy/fonts-arphic-uming
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

5. By Paul Wise (Debian) on 2012-02-16

* Team upload.

[ Paul Wise ]
* Set the team to maintainer, seems that was missed
* Wrap and sort all the files (wrap-and-sort -s)
* Do not install all the .svn dirs in the package
* Install the FONTLOG as the upstream changelog
* Drop mentions of x-ttcidfont-conf since it is gone (Closes: #660050)
* Add watch file explaining the maintenance situation
* Point at the correct file for GPL-2
* Use Breaks since the transitional package doesn't conflict
* Use dh_installdeb maintscript support
  - Restores the removed prerm file, fixing upgrade (Closes: #656951)
* Don't remove parts of /usr/share, leave that to dpkg

[ Colin Watson ]
* Switch to xz compression.
* Bump dpkg Pre-Depends for newer compression support.
* Add Pre-Depends: dpkg (>= 1.15.6~) to ttf-arphic-uming as well.

4. By Hideki Yamane on 2012-01-25

* Team upload.
* debian/preinst
  - remove debug option, sorry for the mess.

3. By Hideki Yamane on 2012-01-21

* Team upload.
* debian/ttf-arphic-uming.defoma-hints
  - remove it from source
* debian/prerm,postrm
  - remove prerm and move function to postrm.
  - check if defoma exists (Closes: #655842)
* debian/preinst
  - remove duplicate defoma calling
* debian/control,compat
  - Build-Depends: "debhelper >= 7.0.50~" and set 7 to compat
  - set Vcs-* fields.
* set urgency=medium because this will fix bug with upgrading

2. By Christian Perrier on 2011-12-11

* Team upload

[ Arne Goetje ]
* Upstream changes:
  - rename fontconfig files
  - improve fontconfig files to detect the language and select the
    right font

[ Christian Perrier ]
* Transition away from defoma. Closes: #649826
* Move to v3 source format
* Add ${misc:Depends} to dependencies to properly deal with
  dependencies inplied by the use of debhelper
* Drop recommendation on x-ttcidfont-conf and fontconfig
* Move to dh7-style minimal rules file
* Change section to fonts
* Bump Stadards to 3.9.2 (checked)
* Rename source package to "fonts-arphic-uming" to fit the Font
  Packages Naming Policy.

1. By Christian Perrier on 2011-12-11

Import upstream version 0.2.20080216.2

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:debian/fonts-arphic-uming
This branch contains Public information 
Everyone can see this information.

Subscribers